spring:
  profiles:
    active: local
  application:
    name: tenant_coinage
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher # SpringBoot 2.6.x以后swagger配置策略
    throw-exception-if-no-handler-found: true
  web: #SpringBoot 2.6.x
    resources: #SpringBoot 2.6.x
      add-mappings: false
      static-locations: classpath:/static,file:upload/ #SpringBoot 2.6.x
    main:
      allow-bean-definition-overriding: true
      allow-circular-references: true
  servlet:
    multipart:
      max-file-size: 500MB
      max-request-size: 500MB
  devtools:
    livereload:
      port: 35730
  datasource:
    druid:
      test-on-return: false
      #监控统计拦截的filters
      filters: stat,wall
      aop-patterns: com.javayh.druid.*
      web-stat-filter:
        enabled: true #是否启用StatFilter默认值true
        url-pattern: /*
        exclusions: /druid/*,*.js,*.gif,*.jpg,*.bmp,*.png,*.css,*.ico
        session-stat-enable: true
        session-stat-max-count: 10
      stat-view-servlet:
        # 是否启用statViewServlet配置
        enabled: true
        # 访问监控页面
        url-pattern: "/druid/*"
        # 禁止手动重置监控数据
        reset-enable: false
        # 设置监控页面的登陆名
        login-username: druidAdmin
        # 设置监控页面的登陆密码
        login-password: druid123_
        allow: ""
        deny: ""
server:
  port: 9000
  servlet:
    context-path: /coinage
  compression:
    enabled: true #开启gzip压缩 前端后整合到一起项目适用 前后端分离配置nginx的gzip
    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text.xml,text/plain
    min-response-size: 2048
mybatis-plus:
  configuration:
    log-impl: org.apache.ibatis.logging.slf4j.Slf4jImpl
  global-config:
    db-column-underline: true
    db-config:
      update-strategy: ignored #FieldStrategy配置全局策略配置
  mapper-locations: classpath*:mappers/**/*.xml
pager:
  defaultPageNum: 1
  defaultPageSize: 10
logging:
  file:
    name: /home/logs/tenant_coinage/tenant_coinage.log
  level:
    '[com.sy.coinage]': debug
    '[io.swagger.models.parameters.AbstractSerializableParameter]': error #不打印swagger2.9.2版本For input string:""异常
  logback:
    rollingpolicy:
      max-history: 30  #要保留的存档日志文件的最大数量（默认为 7）。
      max-file-size: 50MB  #归档前日志文件的最大大小。
      total-size-cap: 1GB  #在被删除之前可以占用的最大大小的日志档案。
custom:
  base-url: /home
  path-url: /file
  atta-path: upload
  atta-url: /atta
  login-more: true #允许账号同时登录多个
  login-ext: true #记录登录扩展信息如登录次数ip
  login-log: true #记录登录日志
  login-menu: false #登录时返回菜单
  check-permission: true #增删改操作是否验证按钮操作仅限
  login-error-num: 0 #登录错误次数限制 大于0开启验证
  captcha: false #登录开启图形验证码
  topic: testTopic